Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.server.deployment.jboss
Class Deployment

    java.lang.Object
      org.jboss.portal.server.deployment.jboss.Deployment

Direct Known Subclasses:
  LayoutDeployment, LayoutFeaturesDeployment, ObjectDeployment, PortletAppDeployment, ThemeDeployment

    public class Deployment

extends java.lang.Object

Version:
  $Revision: 8784 $
Author:
  Julien Viet

Field Summary
`protected org.jboss.logging.Logger` | `log` The logger.
`protected javax.management.MBeanServer` | `mbeanServer` The JMX server.
`protected PortalWebApp` | `pwa` The optional web app abstraction.
`protected java.net.URL` | `url` The deployment URL.

Constructor Summary
`Deployment(java.net.URL url, javax.management.MBeanServer mbeanServer)` Create a deployment that is not nested within a web application archive.
`Deployment(java.net.URL url, PortalWebApp pwa, javax.management.MBeanServer mbeanServer)` Create a deployment nested within a web application archive

Method Summary
`void` | `create()`
`void` | `destroy()`
`static org.jboss.mx.loading.RepositoryClassLoader` | `findRepositoryClassLoader(java.lang.ClassLoader loader)` Find the repository classloader reltated to the argument classloader.
`static java.net.URL` | `findWEBINFURL(java.net.URL warURL)` Find the URL of the WEB-INF directory in the war file.
`void` | `start()`
`void` | `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected final org.jboss.logging.Logger log

  The logger.

### url

    protected final java.net.URL url

  The deployment URL.

### pwa

    protected final PortalWebApp pwa

  The optional web app abstraction.

### mbeanServer

    protected final javax.management.MBeanServer mbeanServer

  The JMX server.

Constructor Detail

### Deployment

    public Deployment(java.net.URL url,
                      javax.management.MBeanServer mbeanServer)

  Create a deployment that is not nested within a web application archive.

  Parameters:
    `url` - the deployment URL
    `mbeanServer` - the JMX mbean server

### Deployment

    public Deployment(java.net.URL url,
                      PortalWebApp pwa,
                      javax.management.MBeanServer mbeanServer)

  Create a deployment nested within a web application archive

  Parameters:
    `url` - the deployment URL
    `pwa` - the web application
    `mbeanServer` - the JMX mbean server

Method Detail

### create

    public void create()
                throws org.jboss.deployment.DeploymentException

  Throws:
    `org.jboss.deployment.DeploymentException`

### start

    public void start()
               throws org.jboss.deployment.DeploymentException

  Throws:
    `org.jboss.deployment.DeploymentException`

### stop

    public void stop()
              throws org.jboss.deployment.DeploymentException

  Throws:
    `org.jboss.deployment.DeploymentException`

### destroy

    public void destroy()
                 throws org.jboss.deployment.DeploymentException

  Throws:
    `org.jboss.deployment.DeploymentException`

### findWEBINFURL

    public static java.net.URL findWEBINFURL(java.net.URL warURL)
                                      throws org.jboss.deployment.DeploymentException

  Find the URL of the WEB-INF directory in the war file.

  Throws:
    `org.jboss.deployment.DeploymentException`

### findRepositoryClassLoader

    public static org.jboss.mx.loading.RepositoryClassLoader findRepositoryClassLoader(java.lang.ClassLoader loader)
                                                                                throws org.jboss.deployment.DeploymentException

  Find the repository classloader reltated to the argument classloader.

  Throws:
    `org.jboss.deployment.DeploymentException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD